<?xml version="1.0"?>
<launch>
<arg name="robot_ns" default="panda"/>
<arg name="publish_joint_states" default="true"/>
<node pkg="rviz" type="rviz" output="screen" name="rviz" args="-d $(find panda_capacity)/launch/config.rviz"/>

<arg name="tcp_ip" default="172.16.0.160"/>
<arg name="tcp_port" default="10000"/>

<node name="unity_endpoint" pkg="ros_tcp_endpoint" type="default_server_endpoint.py" output="screen">
    <param name="tcp_ip" type="string" value="$(arg tcp_ip)"/>
    <param name="tcp_port" type="int" value="$(arg tcp_port)"/>
</node>

<!-- <node pkg="tf" type="static_transform_publisher" name="world_ns_connector" args="0 0 0 0 0 0 /world $(arg robot_ns)/world 100"/> -->
<!-- <node pkg="tf" type="static_transform_publisher" name="world_ns_connector_world" args="0 0 0 0 0 0 $(arg robot_ns)/world $(arg robot_ns)/panda_link0 100"/>--> 



<group ns="$(arg robot_ns)">
	<param name="tf_prefix" value="$(arg robot_ns)" />

    <!-- <param name="robot_description" command="
        $(find xacro)/xacro '$ (find franka_description)/robots/panda_arm.urdf.xacro'"/> -->

    <include file="$(find setup_description)/launch/setup.launch">
        <arg name="load_table" default="false" />
        <arg name="load_calibration_pointer" default="false" />
    </include>
    
   <node pkg="tf" type="static_transform_publisher" name="world_ns_connector" args="0 0 0 0 0 0 /world $(arg robot_ns)/world 100"/>
 
	<node if="$(arg publish_joint_states)" name="robot_state_publisher" pkg="robot_state_publisher" type="robot_state_publisher" output="screen"/>


    <node if="$(arg publish_joint_states)" name="joint_state_publisher_gui" pkg="joint_state_publisher_gui" type="joint_state_publisher_gui"/>

    <node pkg="panda_capacity" name="panda_force_polytope" type="panda_force_polytope.py"/>
    <node pkg="panda_capacity" name="panda_velocity_polytope" type="panda_velocity_polytope.py" />
    <node pkg="panda_capacity" name="panda_accel_polytope" type="panda_acceleration_polytope.py"   />
    <node pkg="panda_capacity" name="panda_jerk_polytope" type="panda_jerk_polytope.py" />
    <node pkg="panda_unity" name="effector_position" type="effector_position.py" />
    <node pkg="panda_unity" name="velocity_effector" type="velocity_effector.py" />
    <node pkg="panda_unity" name="cube_subscriber" type="cube_subscriber.py" />

</group>

</launch>
